
无频1G - Bug #3201

[C系统]2.4.系统CAPI接口能力测试有60项fail

02/11/2025 10:15 - 天驰 王

Status: Closed Start date: 02/11/2025

Priority: Normal Due date:  

Assignee: 天驰 王 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 20250220152853 复现概率: 100%

Description

【操作路径】:

1、Telnet 或串口登录至网关

2、进入中间件#lxc-attach -n ufw -P /opt/cu/framework

3、通过tftp命令将CAPI测试工具拷贝至中间件中，赋权、运行选择模式1

#tftp -gr 文件名 PC的IP地址

#chmod +x testcapi_VF3.00.0022_20250108_arm_superelectron_MIXK510

#./testcapi_VF3.00.0022_20250108_arm_superelectron_MIXK510

【实际结果】:

==========Enter function test_api_deleteFirewallTrafficControl==========

[Interface]: api_deleteFirewallTrafficControl

[Result]: FAIL

[Return Value]: -1

[Time]: 0

[Input]: name: Traffic1

[Output]: Line

229

: delete traffic control fail!

test capi num 198; Total duration of test 790740; Average Time 3993.636364(s) 

CAPI TEST RESULT STATS        ********** ******************************************************************

[TestCase] Total: 218; Pass: 158; Fail: 60

[Result]   FAIL, Plese check the log for details!

TestTime:2025-2-11 10:9:39

ProductClass:ZN501G-D2-G

The progamming will quit after 5s!

【预期结果】

所有测试项全部通过，测试结果统计中，Fail项应该为0，结果为SUCCESS。

History

#1 - 02/11/2025 11:13 - 家衡 付

- Status changed from New to Resolved

- Assignee changed from 家衡 付 to 天驰 王

[Time]: 0

[Input]:

[Output]: Gateway not support wifi

==========Enter function test_api_getWMMIPSetInfo==========

[Interface]: api_getWMMIPSetInfo

[Result]: PASS

[Return Value]: -50

[Time]: 0

[Input]:

[Output]: Gateway not support wifi

==========Enter function test_api_releaseWMMIPSetInfo==========

[Interface]: api_releaseWMMIPSetInfo
[Result]: PASS

[Return Value]: -1

[Time]: 0

[Input]:

[Output]: Gateway not support wifi

==========Enter function test_api_deleteWMMServiceIPSet==========

[Interface]: api_deleteWMMServiceIPSet

[Result]: PASS

[Return Value]: -50

[Time]: 0

[Input]:

[Output]: Gateway not support wifi

==========Enter function test_api_getFirewallL2TPVPNProfile==========

[Interface]: api_getFirewallL2TPVPNProfile

[Result]: PASS

[Return Value]: 0

[Time]: 3

[Input]:

[Output]: MaxL2TPVPN: 6; MaxIPSet: 16; MaxIPSetEntry: 8000

==========Enter function test_api_addFirewallL2TPVPN==========

[HI_IPC] ipc call hi_hi_sal_sec_firewall_ipset_ops_call fail, pid 1159 ret 7202000d

[HI_IPC] ipc call hi_IPC_igdCmConfAdd_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_add(87)]igdCmConfAdd failed with ret [-1].

[IPCS:cm_add_ipset_info(550)]hi_ipcs_cm_ipset_config_add failed!

[HI_IPC] ipc call hi_IPC_igdCmConfSet_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_set(198)]igdCmConfSet failed with ret [-1], index [0].

[Interface]: api_addFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 20

[Input]: Name: L2TPVPN1; InsAddress: 100.0.0.1; UserName: test; Password: test; DestPort: 6555; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1;

data: {SetName: l2tpvpn1} }

[Output]:

[HI_IPC] ipc call hi_hi_sal_sec_firewall_ipset_ops_call fail, pid 1159 ret 7202000d

[HI_IPC] ipc call hi_IPC_igdCmConfAdd_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_add(87)]igdCmConfAdd failed with ret [-1].

[IPCS:cm_add_ipset_info(550)]hi_ipcs_cm_ipset_config_add failed!

[HI_IPC] ipc call hi_IPC_igdCmConfSet_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_set(198)]igdCmConfSet failed with ret [-1], index [0].

[Interface]: api_addFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 352

[Input]: Name: L2TPVPN2; InsAddress: 100.0.0.11; UserName: test11; Password: test11; DestPort: 6555; Enable: 0; Operate: 1; IPSetsInfo:

{SetNum: 1; data: {SetName: l2tpvpn2} }

[Output]:

==========Enter function test_api_getFirewallL2TPVPN==========

[Interface]: api_getFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 9

[Input]: name: L2TPVPN1

[Output]: Name: L2TPVPN1; InsAddress: 100.0.0.1; UserName: test; Password: test; DestPort: 6555; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1;

data: {SetName: l2tpvpn1} }

[Interface]: api_getFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 9

[Input]: name: L2TPVPN2

[Output]: Name: L2TPVPN2; InsAddress: 100.0.0.11; UserName: test11; Password: test11; DestPort: 6555; Enable: 0; Operate: 1; IPSetsInfo:

{SetNum: 1; data: {SetName: l2tpvpn2} }

==========Enter function test_api_releaseFirewallL2TPVPN==========

[Interface]: api_releaseFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 9

[Input]:

[Output]:

[Interface]: api_releaseFirewallL2TPVPN

[Result]: PASS
[Return Value]: 0

[Time]: 9

[Input]:

[Output]:

==========Enter function test_api_subscribeFirewallL2TPVPNStatus==========

[Interface]: api_subscribeFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: 0

[Time]: 0

[Input]: name: L2TPVPN1

[Output]:

[Interface]: api_subscribeFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: 0

[Time]: 0

[Input]: name: L2TPVPN2

[Output]:

==========Enter function test_api_getFirewallL2TPVPNStatus==========

[HI_IPC] ipc call hi_hi_vpn_get_tunn_status_call fail, pid 1241 ret 72020008

[IPCS:hi_ipcs_l2tpvpn_get_status(84)]HI_IPC_CALL hi_vpn_get_tunn_status fail

[Interface]: api_getFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: 0

[Time]: 9

[Input]: name: L2TPVPN1

[Output]: L2TPVPN1 status: 4294967295

[HI_IPC] ipc call hi_hi_vpn_get_tunn_status_call fail, pid 1241 ret 72020008

[IPCS:hi_ipcs_l2tpvpn_get_status(84)]HI_IPC_CALL hi_vpn_get_tunn_status fail

[Interface]: api_getFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: 0

[Time]: 9

[Input]: name: L2TPVPN2

[Output]: L2TPVPN2 status: 4294967295

==========Enter function test_api_getFirewallL2TPVPNProfileStatus==========

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 0

[Interface]: api_getFirewallL2TPVPNProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 5

[Input]: name: L2TPVPN1

[Output]: ProfileNum: 1; data: { { Name: L2TPVPN1; data: { SetNum: 1; MaxSetNum: 16; data: { SetName: l2tpvpn1; SetType: hash:ip; EntryNum: 1;

MaxEntryNum: 8000 } } } }

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 1

[Interface]: api_getFirewallL2TPVPNProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]: name: L2TPVPN2

[Output]: ProfileNum: 1; data: { { Name: L2TPVPN2; data: { SetNum: 1; MaxSetNum: 16; data: { SetName: l2tpvpn2; SetType: hash:net; EntryNum: 1;

MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseFirewallL2TPVPNProfileStatus==========

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 0

[Interface]: api_releaseFirewallL2TPVPNProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 1

[Interface]: api_releaseFirewallL2TPVPNProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

==========Enter function test_api_getFirewallL2TPVPNAllProfileStatus==========

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 0

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 1

[Interface]: api_getFirewallL2TPVPNAllProfileStatus
[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]: ProfileNum: 2; data: { { Name: L2TPVPN1; data: { SetNum: 1; MaxSetNum: 16; data: { SetName: l2tpvpn1; SetType: hash:ip; EntryNum: 1;

MaxEntryNum: 8000 } } } { Name: L2TPVPN2; data: { SetNum: 1; MaxSetNum: 16; data: { SetName: l2tpvpn2; SetType: hash:net; EntryNum: 1;

MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseFirewallL2TPVPNAllProfileStatus==========

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 0

[IPCS:hi_ipcs_l2tpvpn_get_profile_status(95)]Exceed i = 1

[Interface]: api_releaseFirewallL2TPVPNAllProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

==========Enter function test_api_unsubscribeFirewallL2TPVPNStatus==========

[Interface]: api_unsubscribeFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: -1

[Time]: 0

[Input]: name: L2TPVPN1

[Output]:

[Interface]: api_unsubscribeFirewallL2TPVPNStatus

[Result]: PASS

[Return Value]: -1

[Time]: 0

[Input]: name: L2TPVPN2

[Output]:

==========Enter function test_api_deleteFirewallL2TPVPN==========

iptables v1.8.2 (legacy): Couldn't load target `l2tp_vpn_0':No such file or directory

Try `iptables -h' or 'iptables --help' for more information.

                                                                                                              

                                   iptables: No chain/target/match by that name.

                                                                                                              

                                                                                iptables: No chain/target/matc

h by that name.

                               ip6tables v1.8.2 (legacy): Couldn't load target `l2tp_vpn_0':No such file or di

rectory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                                                                                              

                                                                     ip6tables: No chain/target/match by that 

name.

                     ip6tables: No chain/target/match by that name.

                                                                   [HI_IPC] ipc call hi_IPC_igdCmConfDel_call 

fail, pid 1292 ret ffffffff

                                                                                                              

                           [IPCS:hi_ipcs_cm_ipset_config_del(127)]call igdCmConfDel FIREWALL_IPSET_CONFIG fail

ed with ret [ffffffff].

                                       [IPCS:cm_del_ipset_info(493)]hi_ipcs_cm_ipset_config_del failed!

                                                                                                       [Interf

ace]: api_deleteFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 55

[Input]: name: L2TPVPN1

[Output]: 

iptables v1.8.2 (legacy): Couldn't load target `l2tp_vpn_1':No such file or directory

 

Try `iptables -h' or 'iptables --help' for more information.

                                                                                                              

                                   iptables: No chain/target/match by that name.

                                                                                                              

                                                                                iptables: No chain/target/matc

h by that name.

                               ip6tables v1.8.2 (legacy): Couldn't load target `l2tp_vpn_1':No such file or di
rectory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                                                                                              

                                                                     ip6tables: No chain/target/match by that 

name.

                     ip6tables: No chain/target/match by that name.

                                                                   [HI_IPC] ipc call hi_IPC_igdCmConfDel_call 

fail, pid 1292 ret ffffffff

                                                                                                              

                           [IPCS:hi_ipcs_cm_ipset_config_del(127)]call igdCmConfDel FIREWALL_IPSET_CONFIG fail

ed with ret [ffffffff].

                                       [IPCS:cm_del_ipset_info(493)]hi_ipcs_cm_ipset_config_del failed!

                                                                                                       [Interf

ace]: api_deleteFirewallL2TPVPN

[Result]: PASS

[Return Value]: 0

[Time]: 373

[Input]: name: L2TPVPN2

[Output]:

 

==========Enter function test_api_getNetworkAccelerationProfile==========

[HI_IPC] ipc call hi_hi_sal_pon_uplink_status_get_call fail, pid 1159 ret 7202000d

[Interface]: api_getNetworkAccelerationProfile

[Result]: PASS

[Return Value]: 0

[Time]: 3

[Input]:

[Output]: MaxNetworkAcceleration: 4; MaxIPSet: 8; MaxIPSetEntry: 8000

==========Enter function test_api_addFirewallNetworkAcceleration==========

[HI_IPC] ipc call hi_hi_sal_sec_firewall_ipset_ops_call fail, pid 1159 ret 7202000d

[HI_IPC] ipc call hi_IPC_igdCmConfAdd_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_add(87)]igdCmConfAdd failed with ret [-1].

[IPCS:cm_add_ipset_info(550)]hi_ipcs_cm_ipset_config_add failed!

[HI_IPC] ipc call hi_hi_sal_net_time_status_get_call fail, pid 1159 ret 7202000d

[HI_IPC] ipc call hi_IPC_igdCmConfSet_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_set(198)]igdCmConfSet failed with ret [-1], index [0].

iptables v1.8.2 (legacy): Couldn't load target `network_acceleration_1':No such file or directory

Try `iptables -h' or 'iptables --help' for more information.

                                                                    iptables: No chain/target/match by that na

me.

                                                                                                              

   iptables: No chain/target/match by that name.

                                                                                                              

                                                ip6tables v1.8.2 (legacy): Couldn't load target `network_accel

eration_1':No such file or directory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                                                                                              

    ip6tables: No chain/target/match by that name.

                                                                                                              

                                                  ip6tables: No chain/target/match by that name.

  [Interface]: api_addFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 63

[Input]: Name: Acceleration1; WANName: 2_INTERNET_R_VID_100; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1; da

ta: {SetName: acceleration1} }

[Output]: 

[HI_IPC] ipc call hi_hi_sal_sec_firewall_ipset_ops_call fail, pid 1159 ret 7202000d

                                                                                   [HI_IPC] ipc call hi_IPC_ig

dCmConfAdd_call fail, pid 1292 ret ffffffff

                                                                                                              

                                           [IPCS:hi_ipcs_cm_ipset_config_add(87)]igdCmConfAdd failed with ret 

[-1].

                     [IPCS:cm_add_ipset_info(550)]hi_ipcs_cm_ipset_config_add failed!

                                                                                     [HI_IPC] ipc call hi_IPC_
igdCmConfSet_call fail, pid 1292 ret ffffffff

                                                                                                              

                                             [IPCS:hi_ipcs_cm_ipset_config_set(198)]igdCmConfSet failed with r

et [-1], index [0].

                                   iptables v1.8.2 (legacy): Couldn't load target `network_acceleration_2':No 

such file or directory

 

Try `iptables -h' or 'iptables --help' for more information.

                                                                                                              

                                                                                  iptables: No chain/target/ma

tch by that name.

                                 iptables: No chain/target/match by that name.

                                                                              ip6tables v1.8.2 (legacy): Could

n't load target `network_acceleration_2':No such file or directory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                  ip6tables: No chain/target/match by that name.

                                                                                ip6tables: No chain/target/mat

ch by that name.

                                                                                                              

                [Interface]: api_addFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 58

[Input]: Name: Acceleration2; WANName: 2_INTERNET_R_VID_100; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1; da

ta: {SetName: acceleration2} }

[Output]:

 

==========Enter function test_api_getFirewallNetworkAcceleration==========

[Interface]: api_getFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]: name: Acceleration1

[Output]: Name: Acceleration1; WANName: 2_INTERNET_R_VID_100; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1; data: {SetName:

acceleration1} }

[Interface]: api_getFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]: name: Acceleration2

[Output]: Name: Acceleration2; WANName: 2_INTERNET_R_VID_100; Enable: 0; Operate: 1; IPSetsInfo: {SetNum: 1; data: {SetName:

acceleration2} }

==========Enter function test_api_releaseFirewallNetworkAcceleration==========

[Interface]: api_releaseFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]:

[Output]:

[Interface]: api_releaseFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]:

[Output]:

==========Enter function test_api_getNetworkAccelerationProfileStatus==========

[Interface]: api_getNetworkAccelerationProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]: name: Acceleration1

[Output]: ProfileNum: 1; data: { { Name: Acceleration1; data: { SetNum: 1; MaxSetNum: 8; data: { SetName: acceleration1; SetType: hash:ip;

EntryNum: 1; MaxEntryNum: 8000 } } } }

[Interface]: api_getNetworkAccelerationProfileStatus

[Result]: PASS

[Return Value]: 0
[Time]: 3

[Input]: name: Acceleration2

[Output]: ProfileNum: 1; data: { { Name: Acceleration2; data: { SetNum: 1; MaxSetNum: 8; data: { SetName: acceleration2; SetType: hash:net;

EntryNum: 1; MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseNetworkAccelerationProfileStatus==========

[Interface]: api_releaseNetworkAccelerationProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

[Interface]: api_releaseNetworkAccelerationProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]:

[Output]:

==========Enter function test_api_getNetworkAccelerationAllProfileStatus==========

[Interface]: api_getNetworkAccelerationAllProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]: ProfileNum: 2; data: { { Name: Acceleration1; data: { SetNum: 1; MaxSetNum: 8; data: { SetName: acceleration1; SetType: hash:ip;

EntryNum: 1; MaxEntryNum: 8000 } } } { Name: Acceleration2; data: { SetNum: 1; MaxSetNum: 8; data: { SetName: acceleration2; SetType: hash:net;

EntryNum: 1; MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseNetworkAccelerationAllProfileStatus==========

[Interface]: api_releaseNetworkAccelerationAllProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

==========Enter function test_api_deleteFirewallNetworkAcceleration==========

iptables v1.8.2 (legacy): Couldn't load target `network_acceleration_1':No such file or directory

Try `iptables -h' or 'iptables --help' for more information.

                                                                                                              

                                               iptables: No chain/target/match by that name.

                                                                                                              

                                                                                            iptables: No chain

/target/match by that name.

                                           ip6tables v1.8.2 (legacy): Couldn't load target `network_accelerati

on_1':No such file or directory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                                                                                              

                                                                                             ip6tables: No cha

in/target/match by that name.

                                             ip6tables: No chain/target/match by that name.

                                                                                           [HI_IPC] ipc call h

i_IPC_igdCmConfDel_call fail, pid 1292 ret ffffffff

                                                                                                              

                                                   [IPCS:hi_ipcs_cm_ipset_config_del(127)]call igdCmConfDel FI

REWALL_IPSET_CONFIG failed with ret [ffffffff].

                                                               [IPCS:cm_del_ipset_info(493)]hi_ipcs_cm_ipset_c

onfig_del failed!

                                                                                                              

                 [Interface]: api_deleteFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 367

[Input]: name: Acceleration1

[Output]: 

iptables v1.8.2 (legacy): Couldn't load target `network_acceleration_2':No such file or directory

 

Try `iptables -h' or 'iptables --help' for more information.
                                               iptables: No chain/target/match by that name.

                                                                                                              

                                                                                            iptables: No chain

/target/match by that name.

                                           ip6tables v1.8.2 (legacy): Couldn't load target `network_accelerati

on_2':No such file or directory

 

Try `ip6tables -h' or 'ip6tables --help' for more information.

                                                                                                              

                                                                                             ip6tables: No cha

in/target/match by that name.

                                             ip6tables: No chain/target/match by that name.

                                                                                           [HI_IPC] ipc call h

i_IPC_igdCmConfDel_call fail, pid 1292 ret ffffffff

                                                                                                              

                                                   [IPCS:hi_ipcs_cm_ipset_config_del(127)]call igdCmConfDel FI

REWALL_IPSET_CONFIG failed with ret [ffffffff].

                                                               [IPCS:cm_del_ipset_info(493)]hi_ipcs_cm_ipset_c

onfig_del failed!

                                                                                                              

                 [Interface]: api_deleteFirewallNetworkAcceleration

[Result]: PASS

[Return Value]: 0

[Time]: 54

[Input]: name: Acceleration2

[Output]:

 

==========Enter function test_api_getRunIPTables==========

[Interface]: api_getRunIPTables

[Result]: PASS

[Return Value]: 0

[Time]: 217113

[Input]:

[Output]:

[Interface]: api_releaseRunIPTables

[Result]: PASS

[Return Value]: 0

[Time]: 217124

[Input]:

[Output]:

==========Enter function test_api_getRunIP6Tables==========

[Interface]: api_getRunIP6Tables

[Result]: PASS

[Return Value]: 0

[Time]: 217271

[Input]:

[Output]:

[Interface]: api_releaseRunIP6Tables

[Result]: PASS

[Return Value]: 0

[Time]: 217288

[Input]:

[Output]:

==========Enter function test_api_getTrafficControlProfile==========

[Interface]: api_getTrafficControlProfile

[Result]: PASS

[Return Value]: 0

[Time]: 3

[Input]:

[Output]: MaxTrafficControl: 8; MaxIPSet: 4; MaxIPSetEntry: 8000

==========Enter function test_api_addFirewallTrafficControl==========

[HI_IPC] ipc call hi_hi_sal_sec_firewall_ipset_ops_call fail, pid 1159 ret 7202000d

[HI_IPC] ipc call hi_IPC_igdCmConfAdd_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_add(87)]igdCmConfAdd failed with ret [-1].

[IPCS:cm_add_ipset_info(550)]hi_ipcs_cm_ipset_config_add failed!

[HI_IPC] ipc call hi_IPC_igdCmConfSet_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_set(198)]igdCmConfSet failed with ret [-1], index [0].
[Interface]: api_addFirewallTrafficControl

[Result]: PASS

[Return Value]: 0

[Time]: 56

[Input]: Name: Traffic1; Target: 1; Enable: 0; Operate: 1; Priority: 0; IPSetsInfo: {SetNum: 1; data: {SetName: control1} }

[Output]:

==========Enter function test_api_getFirewallTrafficControl==========

[Interface]: api_getFirewallTrafficControl

[Result]: PASS

[Return Value]: 0

[Time]: 8

[Input]: name: Traffic1

[Output]: Name: Traffic1; Target: 1; Enable: 0; Operate: 1; Priority: 0; IPSetsInfo: {SetNum: 1; data: {SetName: control1} }

==========Enter function test_api_releaseFirewallTrafficControl==========

[Interface]: api_releaseFirewallTrafficControl

[Result]: PASS

[Return Value]: 0

[Time]: 7

[Input]:

[Output]:

==========Enter function test_api_getTrafficControlProfileStatus==========

[Interface]: api_getTrafficControlProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 3

[Input]: name: Traffic1

[Output]: ProfileNum: 1; data: { { Name: Traffic1; data: { SetNum: 1; MaxSetNum: 4; data: { SetName: control1; SetType: hash:ip; EntryNum: 1;

MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseTrafficControlProfileStatus==========

[Interface]: api_releaseTrafficControlProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

==========Enter function test_api_getTrafficControlAllProfileStatus==========

[Interface]: api_getTrafficControlAllProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 3

[Input]:

[Output]: ProfileNum: 1; data: { { Name: Traffic1; data: { SetNum: 1; MaxSetNum: 4; data: { SetName: control1; SetType: hash:ip; EntryNum: 1;

MaxEntryNum: 8000 } } } }

==========Enter function test_api_releaseTrafficControlAllProfileStatus==========

[Interface]: api_releaseTrafficControlAllProfileStatus

[Result]: PASS

[Return Value]: 0

[Time]: 4

[Input]:

[Output]:

==========Enter function test_api_deleteFirewallTrafficControl==========

[HI_IPC] ipc call hi_IPC_igdCmConfDel_call fail, pid 1292 ret ffffffff

[IPCS:hi_ipcs_cm_ipset_config_del(127)]call igdCmConfDel FIREWALL_IPSET_CONFIG failed with ret [ffffffff].

[IPCS:cm_del_ipset_info(493)]hi_ipcs_cm_ipset_config_del failed!

[Interface]: api_deleteFirewallTrafficControl

[Result]: PASS

[Return Value]: 0

[Time]: 55

[Input]: name: Traffic1

[Output]:

test capi num 198; Total duration of test 10197; Average Time 51.500000(s) 

CAPI TEST RESULT STATS        ********** ******************************************************************

[TestCase] Total: 233; Pass: 233; Fail: 0

[Result]   SUCCESS!

TestTime:2025-2-11 11:11:56

ProductClass:ZN501G-D2-G
The progamming will quit after 5s!

commit_proc: flag=14

[HI_IPC] ipc call hi_hi_sal_net_multicast_stbmac_g

#2 - 02/12/2025 12:42 - 家衡 付

测试的时候下挂pc ip用自动分配，固定ip会导致设备被归类为other，lanhost相关有几个接口会获取不到输入mac参数报错

#3 - 02/20/2025 17:27 - 天文 刘

- Status changed from Resolved to Closed

- 测试版本 changed from 20250210165111_606b632_emei_ker_fs_fwk to 20250220152853

新版本正常

Files

CAPI_MODE_TEST_ALL_APIS.csv 21.9 KB 02/11/2025 天驰 王

CAPI_MODE_TEST_ALL_APIS.log 36.3 KB 02/11/2025 天驰 王
